---
license: apache-2.0
tags:
- vision
- depth-estimation
- generated_from_trainer
model-index:
- name: glpn-kitti-finetuned-diode
  results: []
---

<!-- This model card has been generated automatically according to the information the Trainer had access to. You
should probably proofread and complete it, then remove this comment. -->

# glpn-kitti-finetuned-diode

This model is a fine-tuned version of [vinvino02/glpn-kitti](https://huggingface.co/vinvino02/glpn-kitti) on the diode-subset dataset.
It achieves the following results on the evaluation set:
- Loss: 0.4947
- Rmse: 0.4399

## Model description

More information needed

## Intended uses & limitations

More information needed

## Training and evaluation data

More information needed

## Training procedure

### Training hyperparameters

The following hyperparameters were used during training:
- learning_rate: 1e-05
- train_batch_size: 32
- eval_batch_size: 32
- seed: 42
- optimizer: Adam with betas=(0.9,0.999) and epsilon=1e-08
- lr_scheduler_type: linear
- lr_scheduler_warmup_ratio: 0.1
- num_epochs: 10

### Training results

| Training Loss | Epoch | Step | Validation Loss | Rmse   |
|:-------------:|:-----:|:----:|:---------------:|:------:|
| 0.8555        | 1.0   | 10   | 0.6764          | 0.5844 |
| 0.7688        | 2.0   | 20   | 0.6335          | 0.5344 |
| 0.7099        | 3.0   | 30   | 0.5967          | 0.5203 |
| 0.6526        | 4.0   | 40   | 0.5602          | 0.4932 |
| 0.5928        | 5.0   | 50   | 0.5235          | 0.4576 |
| 0.5746        | 6.0   | 60   | 0.4981          | 0.4160 |
| 0.5335        | 7.0   | 70   | 0.4794          | 0.3926 |
| 0.5009        | 8.0   | 80   | 0.4697          | 0.3816 |
| 0.4811        | 9.0   | 90   | 0.4629          | nan    |
| 0.473         | 10.0  | 100  | 0.4633          | 0.3714 |


### Framework versions

- Transformers 4.24.0
- Pytorch 1.12.1+cu113
- Datasets 2.6.1
- Tokenizers 0.13.2
